{
  "manifest_version": 3,
  "name": "Google Map Data Extractor",
  "version": "2.0",
  "description": "Collect the data you need with just one click. simple, secure, and powerful web data extractor.",
  "action": {
    "default_popup": "index.html"
  },
  "host_permissions": [
    "<all_urls>"
  ],
  "icons": {
    "16": "icons/icon16.png",
    "32": "icons/icon32.png",
    "48": "icons/icon48.png",
    "128": "icons/icon128.png"
  },
  "permissions": [
    "tabs",
    "bookmarks",
    "storage",
    "activeTab",
    "downloads",
    "management",
    "scripting",
    "notifications",
    "nativeMessaging"
  ],
  "background": {
    "service_worker": "worker_wrapper.js"
  },
  "content_scripts": [
    {
      "js": [
        "progress.js",
        "content.js"
      ],
      "matches": [
        "*://*.google.com/search?tbm*",
        "*://*.google.com/search?tbs*",
        "*://*.google.com/search?biw*"
      ],
      "run_at": "document_end"
    }
  ]
}